"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b82c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8400>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8360>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b84a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8540>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b85e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8680>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8720>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b87c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8860>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8900>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b89a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8a40>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8ae0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8b80>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8c20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8cc0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8d60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8e00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8ea0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8f40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b8fe0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9080>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9120>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b91c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9260>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9300>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b93a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9440>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b94e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9580>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9620>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b96c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9760>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9800>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b98a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9940>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b99e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9a80>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9b20>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9bc0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9c60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9d00>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9da0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9e40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9ee0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10f2b9f80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba020>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba0c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba160>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba200>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba2a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba340>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba3e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba480>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba520>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba5c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba660>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba700>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba7a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba840>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba8e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10f2ba980>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f2baa20>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10f2baac0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bab60>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bac00>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10f2baca0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bad40>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bade0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bae80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10f2baf20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bafc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb060>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb100>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb1a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb240>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb2e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb380>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb4c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb420>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb560>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb600>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb6a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10f2bb740>)]
name: str = 'fr_HOCCN'
